Bug 1828164 - Crash-looping pods shouldn't show up as Failed in the pod ring
Summary: Crash-looping pods shouldn't show up as Failed in the pod ring
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Sahil Budhwar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-27 07:55 UTC by Sahil Budhwar
Modified: 2020-07-13 17:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:31:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
crashloop1 (113.92 KB, image/png)
2020-05-08 06:00 UTC, Gajanan More
no flags Details
crashloop2 (238.97 KB, image/png)
2020-05-08 06:01 UTC, Gajanan More
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5193 0 None closed Bug 1828164: Fixes: Crash-looping pods shouldn't show up as Failed in the pod ring 2020-06-24 01:21:53 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:31:56 UTC

Description Sahil Budhwar 2020-04-27 07:55:54 UTC
Crash-looping pods are still running and could eventually recover. For instance, a pod might crash-loop until another service becomes available at which time it starts successfully.

"Failed" is a separate status for k8s pods that means permanently failed. It's confusing to conflate these two statuses in the UI.

Comment 3 Gajanan More 2020-05-08 06:00:38 UTC
Created attachment 1686379 [details]
crashloop1

Comment 4 Gajanan More 2020-05-08 06:01:11 UTC
Created attachment 1686380 [details]
crashloop2

Comment 5 Gajanan More 2020-05-08 06:02:04 UTC
I have validated the bugzilla on
Build: 4.5.0-0.ci-2020-05-06-053625
Browser: Google Chrome Version 81.0.4044.129
Please have a look at the screenshot
Marking this as a verified.

Comment 6 errata-xmlrpc 2020-07-13 17:31:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.